summaryrefslogtreecommitdiff
path: root/script/trees
diff options
context:
space:
mode:
Diffstat (limited to 'script/trees')
-rwxr-xr-xscript/trees12
1 files changed, 6 insertions, 6 deletions
diff --git a/script/trees b/script/trees
index 1ff94562..43cd39cc 100755
--- a/script/trees
+++ b/script/trees
@@ -2,7 +2,7 @@
# SPDX-License-Identifier: GPL-3.0-or-later
# Copyright (c) 2022-2023 Alper Nebi Yasak <alpernebiyasak@gmail.com>
# Copyright (c) 2022 Ferass El Hafidi <vitali64pmemail@protonmail.com>
-# Copyright (c) 2023-2024 Leah Rowe <leah@libreboot.org>
+# Copyright (c) 2023-2025 Leah Rowe <leah@libreboot.org>
set -u -e
@@ -217,8 +217,8 @@ check_cross_compiler()
$err "!mkxgcc $project/$xtree '$xfix' '$xgccargs'"
# we only want to mess with hostcc to build xgcc
- rm -f "$XBMK_CACHE/xbmkpath/"* || \
- $err "Cannot clear xbmkpath/"; :
+ rm -f "$XBMK_CACHE/gnupath/"* || \
+ $err "Cannot clear gnupath/"; :
done; return 0
}
@@ -255,8 +255,8 @@ check_gnu_path()
[ "$gnatfull" = "$gccfull" ] || return 1
(
- rm -f "$XBMK_CACHE/xbmkpath/"* || $err "Cannot clear xbmkpath/"
- cd "$XBMK_CACHE/xbmkpath" || $err "Can't cd to xbmkpath/"
+ rm -f "$XBMK_CACHE/gnupath/"* || $err "Cannot clear gnupath/"
+ cd "$XBMK_CACHE/gnupath" || $err "Can't cd to gnupath/"
for _gnubin in "$_gnudir/$2"*"-$_gnuver"; do
[ -e "$_gnubin" ] || continue; _gnuutil="${_gnubin##*/}"
x_ ln -s "$_gnubin" "${_gnuutil%"-$_gnuver"}"
@@ -266,7 +266,7 @@ check_gnu_path()
gnu_setver()
{
- eval "\"$2\" --version 1>/dev/null 2>/dev/null || return 1"
+ eval "$2 --version 1>/dev/null 2>/dev/null || return 1"
eval "$1ver=\"`"$2" --version 2>/dev/null | head -n1`\""
eval "$1ver=\"\${$1ver##* }\""
eval "$1full=\"\$$1ver\""